cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

mauser
Adept I

RAIDXpert vs RAIDXpert2

Jump to solution

Lots of confusion here about most current and needed RAID drivers.  Several Questions concerning RAIDXpert below:

I have a Gigabyte motherboard with an AMD SB950 chipset.  The computer was originally built with W7 and upgraded last year to W10.  I use RAID 1 for my media storage, and it has been trouble-free until this morning when the logical drive went critical.  Trying to launch RAIDXpert failed, so I began looking for new drivers.

I eventually found AMD chipset drivers ver 17.40 here:  Previous AMD Chipset Drivers

The top file with a release date of 01/15/2018 ran fine, and my old RAIDXpert started right up with the new chipset drivers.  But that AMD support page certainly seems to imply that I also need the second file, with a release date of 12/12/2017 to get the RAID drivers and the RAIDXpert utility.  Unfortunately, that file will not install on my system (I have an NVIDIA GeForce graphics card).  But . . .

QUESTION 1:

do I even need it, since my existing RAIDXpert is running fine and reports version 3.3.1540.7?

QUESTION 2:

I have seen some other posts here that referred to RAIDXpert2 (and I see that app inside the AMD-RAID driver package) - what is the difference between RAIDXpert and RAIDXpert2, and why should I care?

QUESTION 3:

RAIDXpert2  is not actually shown in the apps in the AMD-RAID package - there I see "RAIDXpert2_bolton", _BR, and _TR.  What the heck is the _bolton, _BR and _TR?  What might happen if I try to run one of these apps?

I am sorry to be so dense about all of this, and I really appreciate any help you can offer to clue me in!

0 Likes
1 Solution

Accepted Solutions
Matt_AMD
Community Manager
Community Manager

Re: RAIDXpert vs RAIDXpert2

Jump to solution

You only need the old file and you correctly found it in the 17.40 package.

RaidXpert supports Raid with FX and earlier AMD CPUs. RaidXpert2 supports AMD CPUs after the FX series.

If you try to install RaidXpert2 packages on a FX CPU it will fail and may cause you problems as it is not supported.

View solution in original post

3 Replies
Matt_AMD
Community Manager
Community Manager

Re: RAIDXpert vs RAIDXpert2

Jump to solution

You only need the old file and you correctly found it in the 17.40 package.

RaidXpert supports Raid with FX and earlier AMD CPUs. RaidXpert2 supports AMD CPUs after the FX series.

If you try to install RaidXpert2 packages on a FX CPU it will fail and may cause you problems as it is not supported.

mauser
Adept I

Re: RAIDXpert vs RAIDXpert2

Jump to solution

Thank you very much for the fast response and explanation!

yurtesen
Miniboss

Re: RAIDXpert vs RAIDXpert2

Jump to solution

What about the page that the AMD support site suggests for 9 series chipsets? Is that a strange bug? It seems to be suggesting same files for AM3 and AM4 platforms?

https://www.amd.com/en/support/chipsets/amd-9-series-chipsets/990fx

Update: I downloaded it and installation suggested to install RaidXpert 3.2.1540.17 on my 990FX chipset raid array. It seems to work fine after installation, it installed the old RaidXpert utility. I had the following file downloaded amd-nvme-raid-chipset-drivers_0830.exe